Skip to main content
POST
/
v2
/
organizations
/
{orgId}
/
bookings
/
report
Report an organization booking
curl --request POST \
  --url https://api.cal.com/v2/organizations/{orgId}/bookings/report \
  --header 'Content-Type: application/json' \
  --data '
{
  "bookingUid": "booking-uid-123",
  "reason": "SPAM",
  "reportType": "EMAIL",
  "description": "<string>"
}
'
{
  "status": "success",
  "data": {
    "success": true,
    "message": "Booking reported and cancelled successfully",
    "bookingUid": "booking-uid-123",
    "reportedCount": 1,
    "cancelledCount": 3
  }
}

Headers

Authorization
string

value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

orgId
number
required

Body

application/json
bookingUid
string
required

The UID of the booking to report

Example:

"booking-uid-123"

reason
enum<string>
required

The reason for reporting the booking

Available options:
SPAM,
DONT_KNOW_PERSON,
OTHER
Example:

"SPAM"

reportType
enum<string>
required

Whether to report by email or domain. EMAIL targets the specific booker email. DOMAIN targets all emails from the same domain.

Available options:
EMAIL,
DOMAIN
Example:

"EMAIL"

description
string

Additional description for the report

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required